2011年1月23日日曜日

ロリポップのPHP5はCGI動作でエラー htaccessで拡張子の変更



私の芸能界とのパイプである池田久美ちゃんのホームページで使っていたお気に入りの写真表示システムがうまく機能しなくなりました…。

私はphp4の命令がうまく動いてないからだと思い、一生懸命にphp5で書き直しましたよ。メンテナンス日時
2011年02月24日(木)でロリポはPHP 5.2.17 になっております。


しかし CGI動作というものに変わったんだそうです。(Enviroment参照)

それでも私にはまったく意味がわかりません。 PHPの設定に2種類あるということも初めて知りました。 


しかし、phpをhml拡張子で表示させたいとか、 xml拡張子で表示させたいとかあると思います。
よく知られているのはadd Type だと思うのですが、違うんだそうです。

<Files 変更したいファイル名>
SetHandler php5.2-script
</Files>

ある意味、ひとつ、ひとつに設定できていいかもしれません。

こんな大切なこと、ちゃんと教えてくれないと困るわ! ロリポいかんと思うわ。(でも、ロリポ久しぶりに見たら結構高機能にはなってますね。夜中は相変わらず重いけど)

htaccessも奥が深いですね


allow_url_include = Off だそうです。 
<?php include("http://example.com/example.php"); ?>
なんて超使うので困りますけど! 対応は…

<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "http://example.com/example.php");
curl_setopt($ch, CURLOPT_HEADER, 0);
curl_exec($ch);
curl_close($ch);
?>

イヤホンマに…4から5に変わるのはよくなるんだと思っていたんだけどなぁ。めんどくさい。知らんかった!ちゅうねん

お問合せフォーム

お名前 :
Email: (必須)
メッセージ: (必須)


0 コメント :

コメントを投稿



連絡フォーム

名前

メール *

メッセージ *

サイト内検索